-- Main scripts 1
on startmovie
  global QTsprite 
  global QTspriteDuration
  global doneFrame
  global QTspriteName
  global playAll
  global restartBtnSprite, continueBtnSprite, skipFwdBtnSprite, skipBackBtnSprite
  global firstPopUpSprite, lastPopUpSprite
  global endOfSection
  global done1, done2, done3, done4, done5, done6, done7, done8, done9
  global loadingSprite
  global wipedown, wipeup, wipeleft, wiperight, hcentreout, vcentreout
  global hEdgesin, vblind, hblind, stripsBottomLeft
  
  global TC -- the timecode of the current QT movie
  
  puppetPalette "d02a.pct Palette"
  
  set QTsprite  = 1
  
  set skipBackBtnSprite = 44
  set skipFwdBtnSprite = 45  
  set continueBtnSprite = 46
  set restartBtnSprite = 47
  
  set firstPopUpSprite = 6
  set lastPopUpSprite = 22
  
  set the keyDownScript to "keyHandler"
  -- these contain the buttons that appear if the prog is interupted
  hideNavBtns
  hidesprites firstPopUpSprite, lastPopUpSprite
  
  -- set the sprite used to display the loading message
  set loadingSprite = 43
  set the visible of sprite loadingSprite = FALSE
  
  -- preload the first section
  cursor 4
  set the visible of sprite loadingSprite to TRUE
  updatestage
  
  if the moviename = "launch2.dir"  then
    preload the frame, "D01"
  end if
  
  cursor -1
  set the visible of sprite loadingSprite to FALSE
  
  -- set playAll mode fixed to true
  set playAll = TRUE
  
  set endOfSection = FALSE
  
  clearDoneVariables
  
  
  set wipedown = 03
  set wipeup = 04
  set wipeleft = 02
  set wiperight = 01
  set hcentreout = 05 
  set vcentreout = 07
  set hEdgesin = 06
  set vblind = 49
  set hblind = 37
  set stripsBottomLeft = 39
  
  if the quickTimePresent <> TRUE then
    alert "QuickTime not found. You must install QuickTime to use this presenation"  
    quit
  end if
  
end

on initMovie
  global doneFrame, QTspriteDuration, QTsprite, QTspriteName, QThandler
  global endOfSection, playAll
  global done1, done2, done3, done4, done5, done6, done7, done8, done9
  global firstPopUpSprite, lastPopUpSprite
  
  if the frame <> doneFrame then
    put the memberNum of sprite QTsprite into memNum
    
    put the castLibNum of sprite QTsprite into LibNum
    put the name of member memNum of castLib LibNum into QTspriteName
    put the duration of member memNum of castLib LibNum into QTspriteDuration
    set QThandler = the frameLabel
    set doneFrame = the frame
    
    clearDoneVariables
    
    case (the frameLabel) of
      "D37", "D37a", "D37B", "D39" :
        hidesprites firstPopUpSprite, 32
        updatestage
      "D18" :
        showsprites 16, 18
        updatestage
      "D16" :
        
        updatestage
    end case
    
    
    if playAll then      
      set endOfSection = FALSE      
    else
      case (the frameLabel) of
        "D11", "D15", "D25", "D36", "D38", "D46" :
          set endOfSection = TRUE
        otherwise
          set endOfSection = FALSE 
      end case      
    end if    
  end if  
  
end


on checkMovie endAction
  -- checks the status of the current movie
  -- when the movie finishes end action is performed
  
  global QTsprite, QTspriteDuration, QTspriteName, TC, QThandler
  global playAll, endOfSection
  global firstPopUpSprite, lastPopUpSprite, loadingSprite
  
  put the movieTime of sprite QTsprite into TC
  
  if TC < QTspriteDuration then
    do QThandler 
  else
    if the movieRate of sprite QTsprite <> 0 then return
    
    if endOfSection then
      go frame "main"
      unload 10 , 250
    else
      unload (the frame - 10), (the frame - 5)
      cursor 4
      
      preLoad the frame + 1, the frame + 5
      cursor -1
      
      
      case (the frameLabel) of
        "D01" :
          go frame 1 of movie "D2.dir"
          hidesprites firstPopUpSprite, lastPopUpSprite
        "D02a" :
          go frame 1 of movie "D12.dir"
          hidesprites firstPopUpSprite, lastPopUpSprite
        "D15":
          go frame 1 of movie "D16.dir"
          hidesprites 6, 16
          puppetTransition 37, 1, 4, FALSE  -- venetian blinds
        "D19a" :
          go frame 1 of movie "D26.dir"
          hidesprites firstPopUpSprite, lastPopUpSprite
        "D13", "D18", "D25", "D46" :
          hidesprites firstPopUpSprite, lastPopUpSprite
          puppetTransition 39, 1, 4, FALSE  -- vertical blinds
        "D35" :
          hidesprites firstPopUpSprite, 21
          updatestage
          go frame 1 of movie "D37.dir"
        "D36" :
          hidesprites firstPopUpSprite, lastPopUpSprite
          puppetTransition 39, 1, 4, FALSE  -- vertical blinds
          hidesprites firstPopUpSprite, 21
        "D37", "D37a", "D37a2","D37b", "D37b2" :
          hidesprites firstPopUpSprite, lastPopUpSprite
          puppetTransition 39, 1, 4, FALSE  -- vertical blinds
          hidesprites firstPopUpSprite, lastPopUpSprite
        "D38" :
          hidesprites firstPopUpSprite, 21
          puppetTransition 39, 1, 4, FALSE  -- vertical blinds
          hidesprites firstPopUpSprite, 22
          go frame 1 of movie "d39.dir"
          
          
        "D17":
          hidesprites firstPopUpSprite, lastPopUpSprite
          showsprites 16, 18
          puppetTransition 37, 1, 4, FALSE  -- venetian blinds
        "D19":
          preLoad the frame + 1, the frame + 25
          hidesprites firstPopUpSprite, lastPopUpSprite
          puppetTransition 37, 1, 6, FALSE  -- venetian blinds
          
        "D21", "D22", "D23" :
          showsprites 20, 24
          hidesprites firstPopUpSprite, lastPopUpSprite
          puppetTransition 39, 1, 6, FALSE  -- vertical blinds
        "D24" :
          showsprites 6, 11
          set the visible of sprite 13 to FALSE
          --puppetTransition 37, 1, 4, FALSE  -- venetian blinds
          
          
        otherwise
          hidesprites firstPopUpSprite, lastPopUpSprite
          
          puppetTransition 02, 1, 4, FALSE
          
      end case    
      
      go marker(1)
    end if
    
  end if
  
  displayTC
  
end

on displayTC
  global QTsprite, QTspriteDuration, QTspriteName, TC, QThandler
  global playAll, endOfSection
  
  --set the text of member "TCtext" to QTspriteName && string(TC) && "of" ¬
&& string (QTspriteDuration)
  
  
  
end


on hideSprites first, last
  repeat with i = first to last
    set the visible of sprite i to FALSE  
  end repeat
  
  
end


on showSprites first, last
  repeat with i = first to last
    set the visible of sprite i to TRUE  
  end repeat
  
  
end

on clearDoneVariables
  global done1, done2, done3, done4, done5, done6, done7, done8, done9
  global gEvent1done, gEvent2done, gEvent3done
  global gEvent4done, gEvent5done, gEvent6done
  global gEvent7done
  global gEvent8done, gEvent9done, gEvent10done
  global gEvent11done, gEvent12done, gEvent13done
  global gEvent14done, gEvent15done, gEvent16done
  global gEvent17done, gEvent18done
  
  
  set done1 = 0
  set done2 = 0
  set done3 = 0
  set done4 = 0
  set done5 = 0
  set done6 = 0
  set done7 = 0
  set done8 = 0
  set done9 = 0
  
  set gEvent1done = 0
  set gEvent2done = 0
  set gEvent3done = 0
  set gEvent4done = 0
  set gEvent5done = 0
  set gEvent6done = 0
  set gEvent7done = 0
  set gEvent8done = 0
  set gEvent9done = 0
  set gEvent10done = 0
  set gEvent11done = 0
  set gEvent12done = 0
  set gEvent13done = 0
  set gEvent14done = 0
  set gEvent15done = 0
  set gEvent16done = 0
  set gEvent17done = 0
  set gEvent18done = 0
  
  
  
  
end

on doEvent1 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent1done
  
  if gEvent1done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent1done = the frame
    updatestage
  end if  
end

on doEvent2 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent2done
  
  if gEvent2done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent2done = the frame
    updatestage
  end if  
end

on doEvent3 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent3done
  
  if gEvent3done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent3done = the frame
    updatestage
  end if  
end

on doEvent4 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent4done
  
  if gEvent4done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent4done = the frame
    updatestage
  end if  
end

on doEvent5 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent5done
  
  if gEvent5done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent5done = the frame
    updatestage
  end if  
end


on doEvent6 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent6done
  
  if gEvent6done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent6done = the frame
    updatestage
  end if  
end

on doEvent7 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent7done
  
  if gEvent7done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent7done = the frame
    updatestage
  end if  
end

on doEvent8 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent8done
  
  if gEvent8done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent8done = the frame
    updatestage
  end if  
end

on doEvent9 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent9done
  
  if gEvent9done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent9done = the frame
    updatestage
  end if  
end

on doEvent10 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent10done
  
  if gEvent10done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent10done = the frame
    updatestage
  end if  
end

on doEvent11 n, spriteVisible, transtype, transSpeed, transTime, transArea
  global gEvent11done
  
  if gEvent11done <> the frame then
    set the visible of sprite n to spriteVisible    
    if transType <> 0 then 
      puppetTransition transtype, transSpeed, transTime, transArea
    end if    
    set gEvent11done = the frame
    updatestage
  end if  
end